Bug 825797 - 'libbasicobjects-%{basicobjects_version}-9.fc18.x86_64' in Rawhide has an unexpanded macro in the version
'libbasicobjects-%{basicobjects_version}-9.fc18.x86_64' in Rawhide has an une...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ding-libs (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Gallagher
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 09:46 EDT by Richard W.M. Jones
Modified: 2012-05-31 12:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-31 12:05:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2012-05-28 09:46:24 EDT
Description of problem:

When doing a recent yum update in Rawhide, I get:

Packages skipped because of dependency problems:
    libbasicobjects-%{basicobjects_version}-9.fc18.x86_64 from rawhide

Looking at the spec file:
http://pkgs.fedoraproject.org/gitweb/?p=ding-libs.git;a=blob;f=ding-libs.spec;h=e8feb2adbd3f4b74632d8a16e263c0bca75cb90e;hb=HEAD
I see that %{basicobjects_version} is used, but I don't see where
it is defined.

Version-Release number of selected component (if applicable):

ding-libs or basicobjects in Rawhide.
Comment 1 Richard W.M. Jones 2012-05-28 10:35:50 EDT
So even stranger, after resolving a few other broken dependencies,
I've now managed to *install* this package:

Running Transaction
  Installing : libbasicobjects-%{basicobjects_version}-9.fc18.x86_64        1/9 
  Updating   : libini_config-0.7.0-9.fc18.x86_64                            2/9 
  Updating   : libipa_hbac-1.9.0-2.fc18.beta1.x86_64                        3/9 
  Updating   : libldb-1.1.6-1.fc18.x86_64                                   4/9 
  Updating   : sssd-client-1.9.0-2.fc18.beta1.x86_64                        5/9 
  Cleanup    : libipa_hbac-1.8.1-9.fc18.x86_64                              6/9 
  Cleanup    : libldb-1.1.4-2.fc17.x86_64                                   7/9 
  Cleanup    : libini_config-0.6.2-8.fc18.x86_64                            8/9 
  Cleanup    : sssd-client-1.8.1-9.fc18.x86_64                              9/9 
  Verifying  : sssd-client-1.9.0-2.fc18.beta1.x86_64                        1/9 
  Verifying  : libini_config-0.7.0-9.fc18.x86_64                            2/9 
  Verifying  : libldb-1.1.6-1.fc18.x86_64                                   3/9 
  Verifying  : libipa_hbac-1.9.0-2.fc18.beta1.x86_64                        4/9 
  Verifying  : libbasicobjects-%{basicobjects_version}-9.fc18.x86_64        5/9 
  Verifying  : libldb-1.1.4-2.fc17.x86_64                                   6/9 
  Verifying  : libipa_hbac-1.8.1-9.fc18.x86_64                              7/9 
  Verifying  : sssd-client-1.8.1-9.fc18.x86_64                              8/9 
  Verifying  : libini_config-0.6.2-8.fc18.x86_64                            9/9 

Dependency Installed:
  libbasicobjects.x86_64 0:%{basicobjects_version}-9.fc18                       

Updated:
  libini_config.x86_64 0:0.7.0-9.fc18  libipa_hbac.x86_64 0:1.9.0-2.fc18.beta1 
  libldb.x86_64 0:1.1.6-1.fc18         sssd-client.x86_64 0:1.9.0-2.fc18.beta1 

Complete!

$ rpm -q libbasicobjects
libbasicobjects-%{basicobjects_version}-9.fc18.x86_64
Comment 2 Jan Zeleny 2012-05-28 10:40:58 EDT
I've done a rebuild of ding-libs with bunch of fixes in spec file. Please let me know if it helps.
Comment 3 Jan Zeleny 2012-05-31 12:05:46 EDT
A new version has been issued.

Note You need to log in before you can comment on or make changes to this bug.